"use strict";

var homePageFunctions = {
	id: -1,
	mounted: function mounted() {
		var id = Main.createFlump(this.$el, "koHome", "~Idle", 0, 0, false);
		homePageFunctions.id = id;

		var clickEvent = { val: null };
		var element = this.$el;
		clickEvent.val = function () {
			console.log("click!");
			var id = Main.createFlump(element, "koHome", "~Click", 0, 0, true, function () {
				document.location.href = "./#/about/ko";
			});
			homePageFunctions.id = id;
			element.removeEventListener('click', clickEvent.val);
		};
		this.$el.addEventListener('click', clickEvent.val);
	},
	destroyed: function destroyed() {
		Main.destroyMovie(homePageFunctions.id);
	}
};

Vue.component('homeCanvas', { mixins: [homePageFunctions],
	template: '<canvas width="495" height="470" class="pageHome__okko"></canvas>'
});

var PageHome = { template: "\n\t\t<div class=\"pageHome__fill\">\n\n\t\t\t<div class=\"pageHome__sky\"></div>\n\t\t\t<div class=\"pageHome__clouds cloudAnimation\">\n\t\t\t\t<div class=\"pageHome__clouds_img\"></div>\n\t\t\t</div>\n\n\n\t\t\t<div class=\"pageHome\">\n\t\t\t\t<menuButton></menuButton>\n\t\t\t\t<homeLogo></homeLogo>\n\n\t\t\t\t\t<homeCanvas></homeCanvas>\n\t\t\t\t\n\t\t\t\t<div class=\"pageHome__bottom\">\n\t\t\t\t\t<div class=\"pageHome__btn_container\">\n\t\t\t\t\t\t<router-link to=\"/about/ko\">\n\t\t\t\t\t\t\t<div class=\"pageHome__btn about\">\n\t\t\t\t\t\t\t\t<div class=\"hoverButton\">\n\t\t\t\t\t\t\t\t\t<img class=\"pageHome__btn_shadow\" src=\"./assets/img/home/buttons/btnHomeAbout_shadow.png\">\n\t\t\t\t\t\t\t\t\t<img src=\"./assets/img/home/buttons/btnHomeAbout.png\">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</router-link>\n\t\t\t\t\t\t\n\t\t\t\t\t\t<router-link to=\"/games\">\n\t\t\t\t\t\t\t<div class=\"pageHome__btn games\">\n\t\t\t\t\t\t\t\t<div class=\"hoverButton\">\n\t\t\t\t\t\t\t\t\t<img class=\"pageHome__btn_shadow\" src=\"./assets/img/home/buttons/btnHomeGames_shadow.png\">\n\t\t\t\t\t\t\t\t\t<img src=\"./assets/img/home/buttons/btnHomeGames.png\">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</router-link>\n\n\t\t\t\t\t\t<router-link to=\"/video\">\n\t\t\t\t\t\t\t<div class=\"pageHome__btn videos\">\n\t\t\t\t\t\t\t\t<div class=\"hoverButton\">\n\t\t\t\t\t\t\t\t\t<img class=\"pageHome__btn_shadow\" src=\"./assets/img/home/buttons/btnHomeVideos_shadow.png\">\n\t\t\t\t\t\t\t\t\t<img src=\"./assets/img/home/buttons/btnHomeVideos.png\">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</router-link>\n\n\t\t\t\t\t\t<router-link to=\"/news\">\n\t\t\t\t\t\t\t<div class=\"pageHome__btn news\">\n\t\t\t\t\t\t\t\t<div class=\"hoverButton\">\n\t\t\t\t\t\t\t\t\t<img class=\"pageHome__btn_shadow\" src=\"./assets/img/home/buttons/btnHomeNews_shadow.png\">\n\t\t\t\t\t\t\t\t\t<img src=\"./assets/img/home/buttons/btnHomeNews.png\">\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t</router-link>\n\t\t\t\t\t</div>\n\t\t\t\t</div>\n\t\t\t</div>\n\t\t</div>\n\t",
	head: { title: { inner: "OK K.O.! Let's Be Heroes"
		},
		meta: [{ name: 'application-name', content: "OK K.O.! Let's Be Heroes | Online Games and Videos | Cartoon Network" }, { name: 'description', content: "Become a hero with K.O., Enid, Rad and the other citizens of Lakewood Plaza. Watch free videos and play free online games from OK K.O.! Let's Be Heroes!", id: 'desc' }]
	}
};